API Docs
API referenceCounterparties

Get a counterparty

GET/api/v2/counterparties/{id}

{id} is the counterparty id or your customId. Needs counterparties:read.

Path Parameters

id*string

The counterparty id (counterparty_…) or your customId.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/counterparties/counterparty_0e4ba886-0bfe-4b6a-ae2e-d6d9d135dd1e"
{  "object": "counterparty",  "id": "counterparty_0e4ba886-0bfe-4b6a-ae2e-d6d9d135dd1e",  "customId": "campaign-42",  "identity": {    "type": "individual",    "firstName": "string",    "lastName": "string"  },  "email": "jane@example.com",  "address": {    "line1": "string",    "line2": "string",    "city": "string",    "state": "string",    "postalCode": "string",    "country": "DE"  },  "paymentMethod": {    "type": "bank_iban",    "iban": "string",    "currency": "string"  },  "taxIdentity": {    "taxId": "string",    "vatNumber": "string",    "dateOfBirth": "2026-10-01",    "birthPlaceCity": "string",    "birthPlaceCountry": "DE",    "registrationNumber": "string"  },  "recipientManaged": true,  "missing": [    "address"  ],  "createdAt": "2026-09-24T10:00:00.000Z",  "updatedAt": "2026-09-24T10:00:00.000Z"}